# std::tr1::__promote_2< _Tp, std::complex< _Up > > Struct Template Reference

List of all members.

## Detailed Description

### template<typename _Tp, typename _Up>
struct std::tr1::__promote_2< _Tp, std::complex< _Up > >

Definition at line 314 of file complex.

## Public Types

- typedef std::complex< typename
  __promote_2< _Tp, _Up >::__type > __type

The documentation for this struct was generated from the following file:

- complex